path: /build/build/caddy-www-servers-2.10.2+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env:
  - JOBS=3
  - LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages"
  - LUET_PORTAGE_IGNORE_TAR_WARNING=1
  - LUET_PORTAGE_PKGMETA=1
  - LUET_PORTAGE_PKGFILES=1
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude:
  - |
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="filecaps" emerge www-servers/caddy -pv -t
  - |
    USE="filecaps" emerge -j ${JOBS} --nodeps www-servers/caddy
  - eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/caddy && luet-portage --dir
    /pkgdir/caddy www-servers/caddy
  - rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree:f2046b6e9b518c1802b3875c672a6ce7db74e38f7e59a6f14b9c72942b523665
  package:
    name: caddy
    version: 2.10.2+1
    category: www-servers
    use_flags:
    - filecaps
    requires:
    - name: macaroni-funtoo-race7
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Fast and extensible multi-platform HTTP/1-2-3 web server with automatic
      HTTPS
    uri:
    - https://caddyserver.com/ https://github.com/caddyserver/caddy
    license: Apache-2.0 BSD ECL-2.0 MIT
    buildtimestamp: 2025-11-02 00:22:57.249081354 +0000 UTC m=+428.270339547
    labels:
      BDEPEND: dev-lang/go >=dev-lang/go-1.12 app-arch/unzip
      DEPEND: filecaps? ( sys-libs/libcap ) sys-apps/shadow
      IUSE: +filecaps
      emerge.packages: www-servers/caddy
      kit: core-server-kit
      original.package.name: www-servers/caddy
      original.package.slot: "0"
      original.package.version: 2.10.2
    treedir: /build/packages
  package_dir: /pkgdir/caddy
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 3a9bc8bf8181f87f107a5bf70132b3893995966c5cc2191f9ef53bb72a43dfcf
compressiontype: zstd
files:
- etc/caddy/Caddyfile
- etc/conf.d/caddy
- etc/init.d/caddy
- usr/bin/caddy
- usr/share/doc/caddy-2.10.2/README.md.bz2
- var/db/pkg/www-servers/caddy-2.10.2/BDEPEND
- var/db/pkg/www-servers/caddy-2.10.2/BUILD_TIME
- var/db/pkg/www-servers/caddy-2.10.2/CATEGORY
- var/db/pkg/www-servers/caddy-2.10.2/CBUILD
- var/db/pkg/www-servers/caddy-2.10.2/CFLAGS
- var/db/pkg/www-servers/caddy-2.10.2/CHOST
- var/db/pkg/www-servers/caddy-2.10.2/CONTENTS
- var/db/pkg/www-servers/caddy-2.10.2/COUNTER
- var/db/pkg/www-servers/caddy-2.10.2/CTARGET
- var/db/pkg/www-servers/caddy-2.10.2/CXX
- var/db/pkg/www-servers/caddy-2.10.2/CXXFLAGS
- var/db/pkg/www-servers/caddy-2.10.2/DEFINED_PHASES
- var/db/pkg/www-servers/caddy-2.10.2/DEPEND
- var/db/pkg/www-servers/caddy-2.10.2/DESCRIPTION
- var/db/pkg/www-servers/caddy-2.10.2/EAPI
- var/db/pkg/www-servers/caddy-2.10.2/FEATURES
- var/db/pkg/www-servers/caddy-2.10.2/HOMEPAGE
- var/db/pkg/www-servers/caddy-2.10.2/INHERITED
- var/db/pkg/www-servers/caddy-2.10.2/IUSE
- var/db/pkg/www-servers/caddy-2.10.2/IUSE_EFFECTIVE
- var/db/pkg/www-servers/caddy-2.10.2/KEYWORDS
- var/db/pkg/www-servers/caddy-2.10.2/LDFLAGS
- var/db/pkg/www-servers/caddy-2.10.2/LICENSE
- var/db/pkg/www-servers/caddy-2.10.2/NEEDED
- var/db/pkg/www-servers/caddy-2.10.2/NEEDED.ELF.2
- var/db/pkg/www-servers/caddy-2.10.2/PF
- var/db/pkg/www-servers/caddy-2.10.2/REQUIRES
- var/db/pkg/www-servers/caddy-2.10.2/RESTRICT
- var/db/pkg/www-servers/caddy-2.10.2/SIZE
- var/db/pkg/www-servers/caddy-2.10.2/SLOT
- var/db/pkg/www-servers/caddy-2.10.2/USE
- var/db/pkg/www-servers/caddy-2.10.2/caddy-2.10.2.ebuild
- var/db/pkg/www-servers/caddy-2.10.2/environment.bz2
- var/db/pkg/www-servers/caddy-2.10.2/repository
- var/log/caddy/.keep_www-servers_caddy-0
- var/www/caddy/.keep_www-servers_caddy-0
package_cacheimage: ""
runtime:
  name: caddy
  version: 2.10.2+1
  category: www-servers
  use_flags:
  - filecaps
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Fast and extensible multi-platform HTTP/1-2-3 web server with automatic
    HTTPS
  uri:
  - https://caddyserver.com/ https://github.com/caddyserver/caddy
  license: Apache-2.0 BSD ECL-2.0 MIT
  labels:
    BDEPEND: dev-lang/go >=dev-lang/go-1.12 app-arch/unzip
    DEPEND: filecaps? ( sys-libs/libcap ) sys-apps/shadow
    IUSE: +filecaps
    emerge.packages: www-servers/caddy
    kit: core-server-kit
    original.package.name: www-servers/caddy
    original.package.slot: "0"
    original.package.version: 2.10.2
